Loading...
Searching...
No Matches
Catch::AutoReg Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::AutoReg:
[legend]
Collaboration diagram for Catch::AutoReg:
[legend]

## Public Member Functions

| AutoReg (Detail::unique_ptr< ITestInvoker > invoker, SourceLineInfo const &lineInfo, StringRef classOrMethod, NameAndTags const &nameAndTags) noexcept

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## AutoReg()

Catch::AutoReg::AutoReg | ( | Detail::unique_ptr< ITestInvoker > | invoker,
|  | SourceLineInfo const & | lineInfo,
|  | StringRef | classOrMethod,
|  | NameAndTags const & | nameAndTags )

noexcept

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp